<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PF\Blocks;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class RegB002 extends Record {
    protected $templateColumns = [
        [
            "name" => "type_rule",
            "position" => "1",
            "size" => "4",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "filler_1",
            "position" => "5",
            "size" => "3",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "update",
            "position" => "8",
            "size" => "8",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "birthdate",
            "position" => "16",
            "size" => "8",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "mothers_name",
            "position" => "24",
            "size" => "45",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "gender",
            "position" => "69",
            "size" => "1",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "type_doc",
            "position" => "70",
            "size" => "15",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "num_doc",
            "position" => "85",
            "size" => "15",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "issuing_org",
            "position" => "100",
            "size" => "5",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "issuing_date",
            "position" => "105",
            "size" => "8",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "issuing_state",
            "position" => "113",
            "size" => "2",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "filler_2",
            "position" => "115",
            "size" => "1",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
    ];  

    public function __construct($values = null) {
        $this->createColumns();
    }


}